package com.cm.common.pojo.vos.templaterecord;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: TemplateRecordVO
 * @Description: 模板构建记录
 * @Author: WenG
 * @Date: 2020-05-07 16:50
 * @Version: 1.0
 **/
@ApiModel
public class TemplateRecordVO {

    @ApiModelProperty(name = "templateRecordId", value = "模板记录ID")
    private String templateRecordId;
    @ApiModelProperty(name = "templateId", value = "模板")
    @CheckEmptyAnnotation(name = "模板")
    private String templateId;
    @ApiModelProperty(name = "businessContent", value = "业务表内容")
    @CheckEmptyAnnotation(name = "业务表内容")
    private String businessContent;
    @ApiModelProperty(name = "templateRecordBuilderTime", value = "构建时间")
    @CheckEmptyAnnotation(name = "构建时间")
    private String templateRecordBuilderTime;
    @ApiModelProperty(name = "templateRecordPath", value = "模板保存路径")
    @CheckEmptyAnnotation(name = "模板保存路径")
    private String templateRecordPath;
    @ApiModelProperty(name = "templateRecordUrl", value = "模板访问路径")
    private String templateRecordUrl;

    public String getTemplateRecordId() {
        return templateRecordId == null ? "" : templateRecordId;
    }

    public void setTemplateRecordId(String templateRecordId) {
        this.templateRecordId = templateRecordId;
    }

    public String getBusinessContent() {
        return businessContent == null ? "" : businessContent;
    }

    public void setBusinessContent(String businessContent) {
        this.businessContent = businessContent;
    }

    public String getTemplateId() {
        return templateId == null ? "" : templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getTemplateRecordBuilderTime() {
        return templateRecordBuilderTime == null ? "" : templateRecordBuilderTime;
    }

    public void setTemplateRecordBuilderTime(String templateRecordBuilderTime) {
        this.templateRecordBuilderTime = templateRecordBuilderTime;
    }

    public String getTemplateRecordPath() {
        return templateRecordPath == null ? "" : templateRecordPath;
    }

    public void setTemplateRecordPath(String templateRecordPath) {
        this.templateRecordPath = templateRecordPath;
    }

    public String getTemplateRecordUrl() {
        return templateRecordUrl == null ? "" : templateRecordUrl;
    }

    public void setTemplateRecordUrl(String templateRecordUrl) {
        this.templateRecordUrl = templateRecordUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"templateRecordId\":\"")
                .append(templateRecordId).append('\"');
        sb.append(",\"templateId\":\"")
                .append(templateId).append('\"');
        sb.append(",\"businessContent\":\"")
                .append(businessContent).append('\"');
        sb.append(",\"templateRecordBuilderTime\":\"")
                .append(templateRecordBuilderTime).append('\"');
        sb.append(",\"templateRecordPath\":\"")
                .append(templateRecordPath).append('\"');
        sb.append(",\"templateRecordUrl\":\"")
                .append(templateRecordUrl).append('\"');
        sb.append('}');
        return sb.toString();
    }
}

